# delete |

## Description

Delete either a single file, all files in a specified directory and its sub-directories, or a set of files specified by one or more nested fileset elements.

## Parameters

file
  Description: File to be deleted

  Domain: Valid filename

  Default: -

directory
  Description: Directory to be deleted

  Domain: Valid directoryname

  Default: -

## RNG Specification

      <define name="delete">
        <element name="delete">
          <ref name="dir_if_unless"/>
          <choice>
            <attribute name="file"/>
            <attribute name="directory"/>
            <ref name="fileset"/>
          </choice>
        </element>
      </define>

## Examples

      <delete file="readme.txt"/>

      <delete directory="tmp"/>

      <delete>
        <fileset directory="tmp" include="@(**/*.ge)"/>
      </delete>